Create a Studio Shot draft and generate its review preview
const url = 'https://example.com/v1/shots/drafts/generate';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"display_name":"example","shot_info":{"camera":{"crop":{"kind":"preset","value":"example"},"lens":{"kind":"preset","value":"example"},"angle":{"kind":"preset","value":"example"},"lighting":{"kind":"preset","value":"example"}},"presentation":{"pose":"example","gaze":{"kind":"preset","value":"example"},"expression":{"kind":"preset","value":"example"},"hair":{"kind":"preset","value":"example"},"makeup":{"kind":"preset","value":"example"},"garment_presentation":""}},"model_image_public_id":"example","background_public_id":"example","garment_image_public_ids":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/shots/drafts/generate \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "display_name": "example", "shot_info": { "camera": { "crop": { "kind": "preset", "value": "example" }, "lens": { "kind": "preset", "value": "example" }, "angle": { "kind": "preset", "value": "example" }, "lighting": { "kind": "preset", "value": "example" } }, "presentation": { "pose": "example", "gaze": { "kind": "preset", "value": "example" }, "expression": { "kind": "preset", "value": "example" }, "hair": { "kind": "preset", "value": "example" }, "makeup": { "kind": "preset", "value": "example" }, "garment_presentation": "" } }, "model_image_public_id": "example", "background_public_id": "example", "garment_image_public_ids": [ "example" ] }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Public input for a client-owned, Admin-reviewable Shot draft.
object
object
object
One curated Shot vocabulary value, validated fully by Studio.
object
The bounded custom escape hatch shared by one Shot control.
object
One curated Shot vocabulary value, validated fully by Studio.
object
The bounded custom escape hatch shared by one Shot control.
object
One curated Shot vocabulary value, validated fully by Studio.
object
The bounded custom escape hatch shared by one Shot control.
object
One curated Shot vocabulary value, validated fully by Studio.
object
The bounded custom escape hatch shared by one Shot control.
object
object
One curated Shot vocabulary value, validated fully by Studio.
object
The bounded custom escape hatch shared by one Shot control.
object
One curated Shot vocabulary value, validated fully by Studio.
object
The bounded custom escape hatch shared by one Shot control.
object
One curated Shot vocabulary value, validated fully by Studio.
object
The bounded custom escape hatch shared by one Shot control.
object
One curated Shot vocabulary value, validated fully by Studio.
object
The bounded custom escape hatch shared by one Shot control.
object
Responses
Section titled “Responses”Successful Response
Gateway-safe result of Studio draft creation and preview dispatch.
object
Job status enum.
Example
{ "job_status": "NOT_STARTED", "status": "draft"}Validation Error
object
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}